{% extends "base.html" %}
{% load static %}
{% block titulo %}
Intercambios Recibidas
{% endblock titulo %}
{% block content1 %} 
<script type="text/javascript">
  $("#navInter").attr('class','dropdown active');
  $("#navInterRecibidas").attr('class','active');
</script>
<div class="row">
  <div class="col-md-12 col-sm-12" >
      <div class="panel panel-default">
        <div class="panel-heading panel-toolbar"> 
          <strong>INTERCAMBIOS RECIBIDAS</strong>
          <div>
            <button type="button" class="btn btn-default btn-sm" id="RefrescarLista"><span class="fa fa-refresh"></span> Actualizar</button>
            <button type="button" class="btn btn-default btn-sm" id="btnImprimir"><i class="fa fa-print"></i> Imprimir</button>
          </div>
          
        </div>
        <div class="panel-body">
          <div class="row" >
           <div class="col-md-12">
            <h4 class="bg-success" align="center" id="ExitoMensaje">
            </h4>
            </div>
          </div>
          <div class="row">
            <div class="col-md-2">
              <div class="checkbox">
                  <label class="">
                    <input id="ts4" type="checkbox" value="success-inverse1"> Solo activos
                  </label>
              </div> 
            </div>  
            <div class="col-md-4 col-md-offset-5">
             <div class="fg-line">
              <input type="text" class="form-control" placeholder="Nombre o Apellidos (Beneficiado o Solicitante)" id="filtro">
              </div>
              <p></p>
            </div>
            <div class="col-md-1" >
              <button type="button" class="btn btn-primary btn-sm" id="buscar"><i class="fa fa-search"></i> Buscar</button>
              <p></p>
            </div>
          </div>
          <div class="row">
              <div class="col-md-12">
                  
                  <div class="table-responsive">
                    <table class="table table-hover" id="tableSTR">
                        <thead>
                          <tr >
                            <th>Beneficiado</th>
                            <th>Monto</th>
                            <th>Solicitante</th>
                            <th>Fecha</th>
                            <th>Oficina Origen</th>
                            <th>S/I</th>
                            <th>Comision</th>
                            <th>Otros</th>
                            <th>Moneda</th>
                            <th>Obs.</th>
                            <th>Detalle</th>
                            <th>Estado</th>
                          </tr>
                        </thead>
                        <tbody id="listaTransf">
                         
                        </tbody>
                    </table>
                  </div>
              </div>
          </div>
          <br>
        </div>
      </div>
  </div>
</div>
<div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <label class="modal-title" id="myModalLabel">Detalle Intercambio</label>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-6" >
                <div class="panel panel-default">
                  <div class="panel-heading" align="center"> <strong>SOLICITANTE</strong></div>
                  <div class="panel-body">
                    <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>DNI/RUC:</label></div>
                            <input type="text" class="form-control" id="txtDNI">
                          </div>
                        </div>
                      </div>
                      
                    </div>
                    <div class="row myb-4">
                        <div class="col-md-12"> 
                          <label>Nombres: <b id="txtNombres_Soli"></b></label> 
                        </div>
                    </div>
                    <div class="row">
                      <div class="panel panel-default">
                        <div class="panel-heading" align="center"> <strong>BENEFICIADO</strong></div>
                      </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12"> 
                          <label>Nombres <b id="txtNombres_Bene"></b></label> 
                        </div>

                    </div>

                    <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>DNI</label></div>
                            <input type="text" class="form-control" id="txtN">
                          </div>
                        </div>
                      </div>
                    </div>

                    
                  </div>
                </div>
            </div>
            <div class="col-md-6">
              <div class="panel panel-success">
                <div class="panel-heading">
                  <strong>INTERCAMBIO</strong>
                </div>
                <div class="panel-body">
                  <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>ID</label></div>
                            <input type="text" class="form-control" id="txtIDtrans" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                  </div>
                  <div class="row myb-4">
                    <input type="hidden" id="txtDniMenor">
                    <div class="col-md-8">
                      <div class="form-group">
                        <div class="input-group">
                          <div class="input-group-addon" ><label>Estado</label></div>
                          <input type="text" class="form-control" id="txtEstadoTrans" disabled="disabled">
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12"> 
                      <h4 >Nro Recibo: <b id="txtnr"></b></h4> 
                    </div>
                  </div>
                  <div class="row myb-4">
                    <div class="col-md-8">
                      <div class="form-group">
                        <div class="input-group">
                          <div class="input-group-addon" ><label>Fecha</label></div>
                          <input type="text" class="form-control" id="txtFecha" disabled="disabled">   
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row myb-4">
                    <div class="col-md-12">
                      <div class="form-group">
                        <div class="input-group">
                          <div class="input-group-addon" ><label>Emisor</label></div>
                          <input type="text" class="form-control" id="txtPersonalE" disabled="disabled">   
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row myb-4">
                    <div class="col-md-12">
                      <div class="form-group">
                        <div class="input-group">
                          <div class="input-group-addon" ><label>Origen</label></div>
                          <input type="text" class="form-control" id="txtOficinaOri" disabled="disabled">   
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12"> 
                      <h3 >Cantidad: <b id="txtMonto"></b></h3> 
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12"> 
                      <h4 >Comisión: <b id="txtComicion"></b></h4> 
                    </div>
                  </div>
                  <div class="row">
                      <div class="col-md-12"> 
                        <label>Observaciones</label> 
                      </div>
                      <div class="col-md-10">
                        <!--
                        <input type="text" class="form-control" id="txtObs" disabled="disabled">-->
                        <textarea class="form-control" rows="2" id="txtObs" disabled="disabled" ></textarea >         
                      </div> 
                  </div>
    
                  <div class="row">
                      <div class="col-md-12"> 
                        <label>Detalle Otros Conceptos</label> 
                      </div>
                      <div class="col-md-10">
                        <!--
                        <input type="text" class="form-control" id="txtObs" disabled="disabled">-->
                        <textarea class="form-control" rows="2" id="txtotros_con" disabled="disabled" ></textarea >         
                      </div> 
                  </div>
                    
                  <div class="row hidden" >
                      <div class="col-md-4 col-md-offset-1" align="right"> 
                        <label>Egreso</label> 
                      </div>
                      <div class="col-md-6">
                        <input type="text" class="form-control" id="txtEgreso">
                      </div> 
                  </div>
                  
                  <div class="row" id="areap">
                      <div class="col-md-12"> 
                        <label>Observaciones de pago</label> 
                      </div>
                      <div class="col-md-10">
                        <!--
                        <input type="text" class="form-control" id="txtObspe">-->
                        <textarea class="form-control" rows="2"  id="txtObspa"></textarea >         
                      </div> 
                  </div>
                  
                  <div class="row alert alert-warning" id="area_transfExpi">
                    <div class="row">
                      <div class="col-md-12" align="left">
                        <p>Este intercambio NO PUEDE SER PAGADO EN ESTA CAJA</p>
                      </div>
                    </div>
                    <!--
                    <div class="row">
                      <div class="col-md-12" align="left">
                        <p>Este intercambio NO PUEDE SER PAGADO EN ESTA CAJA, Por favor ingrese el codigo de autorizacion, en caso que no tenga ponga click en la opcion <b>Solicitar Codigo</b></p>
                      </div>
                    </div>
                    <p></p>
                    <div class="row">
                      <div class="col-md-4 col-md-offset-7">
                        <button type="button" class="btn btn-success btn-block btn-xs"id="solCod">Solicitar Codigo</button>
                      </div>
                    </div>
                    <p></p>
                    <p></p>
                    <div class="row">
                      <div class="col-md-5" align="right"> 
                        <label>Codigo de Autorización: </label>
                      </div>
                      <div class="col-md-6">
                        <input type="text" class="form-control" placeholder="Ingrese el codigo de autorizacion" id="txtCodA">
                      </div>
                    </div>
                    -->
                  </div>
                    <p></p>
                    
                    <div class="row">
                      <div class="col-md-6">
                        <button type="button" class="btn btn-warning btn-sm"id="pagoAdelanto" style="border-radius: 15px;">Adelanto</button>
                      </div>
                      <div class="col-md-4 col-md-offset-2">
                        <button type="button" class="btn btn-primary btn-block btn-sm"id="pagoT">Pagar</button>
                      </div>
                    </div>
                </div>
              </div>
              
            </div>
          </div>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="myModalLabel">Detalles</h4>
        </div>
        <div class="modal-body">
          <div  id="platillaI" style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
            
            <label align="center"><b>PAGO DE INTERCAMBIO</b></label>
            <h6 align="center"> (Intercambio)</h6>
            <table>
              <tr nowrap>================================</tr>
            </table>
            <table>
              <tr>
                <td id="oficinaRecibo" style="width:100px;"></td>
                <td style="padding-top:-10px;"><div style="width:40px;"> </div></td>
                <td style="width:60px; text-align:right;">Nº<span id="nror"></span></td>
              </tr>
            </table>
            <table>
              <tr>
                <td  valign="top" style="padding-top:10px;"><b>Origen:</b></td>
                <td style="padding-top:10px;"><div style="width:20px;height:20px;"> </div></td>
                <td id="plOri" style="padding-top:10px;" ></td>
              </tr>
              <tr >
                <td  valign="top" style="padding-top:10px;"><b>Beneficiado:</b></td>
                <td style="padding-top:10px;"><div style="width:20px;"> </div></td>
                <td id="plB" style="padding-top:10px;"></td>
              </tr>
              <tr>
                <td  valign="top" style="padding-top:10px;"><b>Remitente:</b></td> 
                <td style="padding-top:10px;"><div style="width:20px;height:15px;"> </div></td>
                <td id="plR" style="padding-top:10px;"></td>
              </tr>
            </table>
            <table>
               <tr>
                <th style="padding-top:10px;">Observaciones:</th> 
              </tr>
              <tr >
                <td id="plObs"></td>
              </tr>
              <tr>
                <th style="padding-top:10px;">Fecha de pago:</th> 
              </tr>
              <tr>
                <td id="fepa"></td>
              </tr>
            </table>
            <table>
              <tr>
                <td><b>Monto:</b></td>
                <td><div style="width:30px;height:20px;"> </div></td>
                <td nowrap><h4 id="plM">0.00</h4></td>
              </tr>
               <tr>
                <td><b>Egreso extra:</b></td>
                <td><div style="width:30px;height:20px;"> </div></td>
                <td nowrap><h4 id="plM_e"></h4></td>
              </tr>
            </table>
            <table>
              <tr>
                <td nowrap>&nbsp;</td>
                <td>&nbsp;&nbsp;</td>
                <td nowrap>&nbsp;</td>
              </tr>
               <tr>
                <td nowrap>__________&nbsp;</td>
                <td>&nbsp;&nbsp;</td>
                <td nowrap>&nbsp;</td>
              </tr>
              <tr>
                <td nowrap  style="font-size:12px">Op. {{ nombre_usuario }}</td>
                <td>&nbsp;&nbsp;</td>
                <td nowrap>&nbsp;</td>
              </tr>
              <tr>
                <td nowrap>&nbsp;</td>
                <td>&nbsp;&nbsp;</td>
                <td nowrap>&nbsp;</td>
              </tr>
              <tr>
                <td nowrap>__________&nbsp;</td>
                <td><div style="width:50px;height:50px;"> </div></td>
                <td nowrap><div style="margin-top:-40px;width:75px;height:85px;border:1px solid #000;"> </div></td>
              </tr>
              <tr>
                <td nowrap><b>DNI:</b>&nbsp;<b id="idn"></b></td>
                <td>&nbsp;</td>
                <td nowrap></td>
              </tr>
              
            </table>
            <p id ="hopa"></p>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
        </div>

      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

    <!--<input type="button" class="btn btn-default btn-block" data-toggle="modal" data-target="#myModal" value="Clientes">-->
<div id="modal_confirmacion" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <br>
        </div>
        <div class="modal-body alert alert-warning"role="alert">
          <div class="row">
            <div class="col-md-12">
              <div class="row grp_alr" align="center">
                <h3>PAGAR INTERCAMBIO ?</h3>
              </div>
              <div class="row grp_alr" align ="center">
                <label>Esta acción sera irreversible!</label>
              </div>
              <p></p>
              <div class="row">
                <div class="col-md-5" align="right"> 
                  <label>Codigo de Intercambio: </label>
                </div>
                <div class="col-md-6">
                  <input type="text" class="form-control" placeholder="Ingrese el codigo de intercambio" id="txtCodIn">
                </div>
              </div>
              <p></p>
              <div class="row grp_pgs" align="center" hidden>
                  <h3>PROCESANDO...</h3>
              </div>
              <div class="row grp_pgs" hidden>
                <div class="progress">
                  <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                  </div>
                </div>
              </div>
              <div class="row grp_alr">
                <div class="col-md-4 col-md-offset-2">
                  <button type="button" class="btn btn-default btn-block" data-dismiss="modal">Cancelar</button>
                </div>
                <div class="col-md-4">
                  <button type="button" class="btn btn-danger btn-block" id="alert_aceptar">PAGAR?</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<div id="modal_adelanto" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <label>ADELANTO DE INTERCAMBIO</label>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-12">
              <div class="row" id="campo_sa">
                <p class="bg-primary"> CARGANDO SALDO DE INTERCAMBIO</p>
              </div>
              <div class="row">
                <div class="col-md-4" align="right">
                  <label>Saldo: </label>
                </div>
                <div class="col-md-4">
                  <input type="text" class="form-control" id="txtsaldoAdelanto" disabled>
                </div>
              </div>
              <p></p>
              <div class="row">
                <div class="col-md-4" align="right">
                  <label>Monto Adelanto:</label>
                </div>
                <div class="form-group col-md-4" id="div_ad">
                  <input type="text" class="form-control" id="txtmontoAdelanto" placeholder="0.00">
                  <label class="control-label" id="lblmontoadelanto" for="txtmontoAdelanto"> </label>
                </div>
              </div>
              <p></p>
              <div class="row">
                <div class="col-md-4 col-md-offset-4">
                  <button type="button" class="btn btn-warning btn-block" id="adelanto_pago">PAGAR?</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<div id="modal_confir_adelanto" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="myModalLabel">Detalle Adelanto</h4>
        </div>
        <div class="modal-body">
          <div class="row">
             <div class="col-md-11 col-md-offset-1">
              <label><h4>Origen: <span id="text_ori" style="color:#3c763d;"></span></h4></label>
             </div>
          </div>
          <div class="row">
            <div class="col-md-11 col-md-offset-1">
              <label><h4>Beneficiado: <span id="text_ori_bene" style="color:#3c763d;"></span></h4></label>
             </div>
          </div>
          <div class="row">
            <hr></hr>
          </div>
          <div class="row">
            <div class="col-md-11 col-md-offset-1" > 
              <h4>Cantidad: <span id="mn"></span> <b id="canti_h4"></b></h4>
              <h4 ><span id="canti_h6" style="color: #a94442;" ></span> <span id="alerta_mone"></span></h4> 
            </div>
          </div>
          <div class="row">
            <hr></hr>
          </div>
          <div class="row">
            <div class="col-md-2 col-md-offset-1" > 
              <h4>Egreso:</h4> 
            </div>
            <div class="col-md-9">
                <h4 ><span id="mn1"></span> <b id="canti_h41"></b></h4>
                <h4 ><span id="canti_h61" style="color: #a94442;" ></span> <span id="alerta_mone1"></span></h4>
            </div>
          </div>
          <p></p>
              <div class="row">
                <div class="col-md-3 col-md-offset-1"> 
                  <label>Codigo: </label>
                </div>
                <div class="col-md-6">
                  <input type="text" class="form-control" placeholder="Ingrese el codigo de intercambio" id="txtCodIn1">
                </div>
              </div>
              <p></p>
          <div class="row">
            <div class="col-md-4 col-md-offset-4">
              <button type="button" class="btn btn-primary btn-block" id="solicitud_Adelanto">Pagar?</button>
            </div>
          </div>
        </div>

      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
 <div id="modalreA" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">
          <div  id="platillaIAde" style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
            
            <label align="center"><b>PAGO DE INTERCAMBIO</b></label>
            <h6 align="center"> (Adelanto)</h6>
            <table>
              <tr nowrap>================================</tr>
            </table>
            <table>
              <tr>
                <td id="oficinaRecibo5" style="width:100px;"></td>
                <td style="padding-top:-10px;"><div style="width:20px;"> </div></td>
                <td style="width:80px; text-align:right;">Nº<span id="nror5"></span></td>
              </tr>
            </table>
            <table>
              <tr>
                <td  valign="top" style="padding-top:10px;"><b>Origen:</b></td>
                <td style="padding-top:10px;"><div style="width:20px;height:20px;"> </div></td>
                <td id="plOri5" style="padding-top:10px;" ></td>
              </tr>
              <tr >
                <td  valign="top" style="padding-top:10px;"><b>Beneficiado:</b></td>
                <td style="padding-top:10px;"><div style="width:20px;"> </div></td>
                <td id="plB5" style="padding-top:10px;"></td>
              </tr>
              <tr>
                <td  valign="top" style="padding-top:10px;"><b>Remitente:</b></td> 
                <td style="padding-top:10px;"><div style="width:20px;height:15px;"> </div></td>
                <td id="plR5" style="padding-top:10px;"></td>
              </tr>
            </table>
            <table>
               <tr>
                <th style="padding-top:10px;">Observaciones:</th> 
              </tr>
              <tr >
                <td id="plObs5"></td>
              </tr>
              <tr>
                <th style="padding-top:10px;">Fecha de pago:</th> 
              </tr>
              <tr>
                <td id="fepa5"></td>
              </tr>
            </table>
            <table>
              <tr>
                <td><b>Saldo Anterior:</b></td>
                <td><div style="width:30px;height:20px;"> </div></td>
                <td nowrap><h4 id="saldoa5">0.00</h4></td>
              </tr>
              <tr>
                <td><b>Monto:</b></td>
                <td><div style="width:30px;height:20px;"> </div></td>
                <td nowrap><h4 id="plM5">0.00</h4></td>
              </tr>
              <tr>
                <td><b>Saldo:</b></td>
                <td><div style="width:30px;height:20px;"> </div></td>
                <td nowrap><h4 id="saldo5">0.00</h4></td>
              </tr>
               <tr>
                <td><b>Egreso extra:</b></td>
                <td><div style="width:30px;height:20px;"> </div></td>
                <td nowrap><h4 id="plM_e5"></h4></td>
              </tr>
            </table>
            <table>
              <tr>
                <td nowrap>&nbsp;</td>
                <td>&nbsp;&nbsp;</td>
                <td nowrap>&nbsp;</td>
              </tr>
               <tr>
                <td nowrap>__________&nbsp;</td>
                <td>&nbsp;&nbsp;</td>
                <td nowrap>&nbsp;</td>
              </tr>
              <tr>
                <td nowrap  style="font-size:12px">Op. {{ nombre_usuario }}</td>
                <td>&nbsp;&nbsp;</td>
                <td nowrap>&nbsp;</td>
              </tr>
              <tr>
                <td nowrap>&nbsp;</td>
                <td>&nbsp;&nbsp;</td>
                <td nowrap>&nbsp;</td>
              </tr>
              <tr>
                <td nowrap>__________&nbsp;</td>
                <td><div style="width:50px;height:50px;"> </div></td>
                <td nowrap><div style="margin-top:-40px;width:75px;height:85px;border:1px solid #000;"> </div></td>
              </tr>
              <tr>
                <td nowrap><b>DNI:</b>&nbsp;<b id="idn5"></b></td>
                <td>&nbsp;</td>
                <td nowrap></td>
              </tr>
              
            </table>
            <p id ="hopa5"></p>
          </div>
        </div>

      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script type="text/JavaScript">
  var mon_m='S/. '
  var Aux="";
  var filaI =0;
  var pagina=1;
    $(document).ready(function(){
      $('#txtN').numeric(); 
      $('#txtEgreso').numeric(".");
      $('#txtmontoAdelanto').numeric(".");
      $("#txtN").keyup(function(){
        if($(this).val().trim()!=''){
           $("#pagoT").prop('disabled',false);
           $("#pagoAdelanto").prop('disabled',false);
        }
        else{
          $("#pagoT").prop('disabled',true);
          $("#pagoAdelanto").prop('disabled',false);
        }
      });
      $("#pagoT").prop('disabled',true);
      $("#pagoT").click(function(){
        $("#idn").text($("#txtN").val());
      });
      
      Transferencias();
      $("#RefrescarLista").click(function(){
        Transferencias();
      });

      $("#btnImprimir").click(function(){ 
       
        var doc = new jsPDF('l', 'pt');
        var res = doc.autoTableHtmlToJson(document.getElementById("tableSTR"));
        doc.setFontSize(16);
        doc.text("Reporte Intercambio Recibido", 20, doc.autoTableEndPosY() + 30);

        doc.autoTable(res.columns, res.data, {
            startY: doc.autoTableEndPosY() + 120,
            margin: {horizontal: 10},
            headerStyles: {rowHeight: 12, fontSize: 7,valign: 'middle'},
            styles: {overflow: 'linebreak'},
            bodyStyles: {rowHeight: 12, fontSize: 8, valign: 'middle'},
            theme: 'grid',
        });

        doc.save('reporteSTR.pdf');

      });
      $("#ts4").click(function(){
        console.log("tscli");
        pagina=1;
        Transferencias();
        PonerInicioPag();
      });
      
       $("#buscar").click(function(){
        $('#listaTransf').html('');
        pagina=1;
        PonerInicioPag();
        ajax_Transferencias_fil();
      });

       
      $("#fd").hide();
      
      $(document).on("click",".filaTrans",function(){
        var num = $(this).attr('id');
        filaI = num;
        var fila= $(this).attr('class');
        //$('#extornarT').show();
        //$('#ForzarpagoT').show();
        $('#pagoT').show();
        $('#pagoAdelanto').show();
        $('#txtN').prop('disabled',false);
        $("#txtCodA").prop('value',"");
        $("#areap").show();
        $("#area_transfExpi").hide();
        //--------------
        $("#txtObspa").prop("value",null);
        $("#txtEgreso").prop("value",null);
        $("#txtmontoAdelanto").prop("value",null);
        $("#text_ori").text(Aux[filaI].oficina_ori);
        $("#text_ori_bene").text(Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        $('#txtEstadoTrans').prop("value",Aux[filaI].estado);
        $('#txtDNI').prop("value",Aux[filaI].dni_rmt);
        //$('#txtNombres_Soli').prop("value",Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
        //$('#txtNombres_Bene').prop("value",Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        $('#txtNombres_Soli').text(Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
        $('#txtNombres_Bene').text(Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        
        $('#txtIDtrans').prop("value",Aux[filaI].id_trans);
        $('#txtFecha').prop("value",Aux[filaI].fecha);
        $('#txtPersonalE').prop("value",Aux[filaI].op_emisor);
        $('#txtOficinaOri').prop("value",Aux[filaI].oficina_ori);
        $("#nrodias").text(Aux[filaI].dias);
        //$('#txtMonto').prop("value",Aux[filaI].monto);
        //$('#txtComicion').prop("value",Aux[filaI].comicion);
        //$("#lblcodigo").text(Aux[filaI].codigo);
        $("#txtCodIn").prop('value',null);
        $("#txtCodIn1").prop('value',null);
        $('#txtMonto').text(Aux[filaI].monto);
        $('#txtComicion').text(Aux[filaI].comicion);
        $('#txtnr').text(Aux[filaI].nroRecibo);
        $('#txtObs').prop("value",Aux[filaI].obs);
        $('#txtotros_con').prop("value",Aux[filaI].otros_conceptos);
        $("#plB").text(Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        $("#plB5").text(Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        $("#plR").text(Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
        $("#plR5").text(Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
        $("#plObs").text($("#txtObspa").val());
        $("#plObs5").text($("#txtObspa").val());
        var mr="";
        if(Aux[filaI].moneda=="soles")
          {
            mr="S/. "
            mon_m=mr;
          }
        else
          {
            mr="$/. "
            mon_m=mr;
        }
        $("#plM").text(mr +String(Aux[filaI].monto));
        $("#plOri").text(Aux[filaI].oficina_ori);
        $("#plOri5").text(Aux[filaI].oficina_ori);
        var fecha = new Date();
        var mes = [
                "Enero",
                "Febrero",
                "Marzo",
                "Abril",
                "Mayo",
                "Junio",
                "Julio",
                "Agosto",
                "Septiembre",
                "Octubre",
                "Noviembre",
                "Diciembre"
                ];
        var textofecha= fecha.getDate() + " de " +mes[fecha.getMonth()] + " del " + fecha.getFullYear();
        var hora = new Date();
        var textohora = hora.getHours() + ":" + hora.getMinutes();
        $("#fepa").text(textofecha);
        $("#fepa5").text(textofecha);
        $("#hopa").text(textohora);
        $("#hopa5").text(textohora);
        if(Aux[filaI].estado !="activo"){
          $('#pagoT').hide();
          $('#pagoAdelanto').hide();
          $("#areap").hide();
          $('#txtN').prop('disabled',true);
          $("#area_transfExpi").hide();
        }
        else{
          if(Aux[filaI].inter_dir=="si"){
            $("#area_transfExpi").show();
          }
        }
      });
      //otra funcion
      function ocultarmodal(){
        $('#myModal').modal('hide')
      };

      function ajax_Transferencias_fil(){
        $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina,'filtro':$("#filtro").val()},
          url:'/listaIntercRecibidas_alterna_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              };
              if(data[i].pago_forzado=="si"){
                estado= "warning";
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              };
              
              if(data[i].estado=="activo"){
                estado= '';
              };
              if(data[i].pago_adelanto==="si"){
                estado= 'info';
              };
              html += '<tr data-toggle="modal" data-target="#myModal" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;">'+data[i].oficina_ori+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td></tr>';
            }
            $('#listaTransf').html(html);
            $('.table-responsive').waitMe('hide');
          }
        });
      };
      
      //otra funcion
      function ajax_Transferencias(){
        $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina},
          url:'/listaIntercRecibidas_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              };
              if(data[i].pago_forzado=="si"){
                estado= "warning";
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              };
              
              if(data[i].estado=="activo"){
                estado= '';
              };
              if(data[i].pago_adelanto==="si"){
                estado= 'info';
              };
              html += '<tr data-toggle="modal" data-target="#myModal" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;">'+data[i].oficina_ori+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td></tr>';
            }
            $('#listaTransf').html(html);
           $('.table-responsive').waitMe('hide');
          }
        });
      };
      //otra function
      function ajax_TransferenciasActivas(){
        $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina},
          url:'/ListaIntercRecibidasActiva_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              };
              if(data[i].pago_forzado=="si"){
                estado= "warning";
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              };
              
              if(data[i].estado=="activo"){
                estado= '';
              };
              if(data[i].pago_adelanto==="si"){
                estado= 'info';
              };
              html += '<tr data-toggle="modal" data-target="#myModal" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;">'+data[i].oficina_ori+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td></tr>';
            }
            $('#listaTransf').html(html);
            $('.table-responsive').waitMe('hide');
          }
        });
      };
      //otra fucnion
     
         //-------------------
      $(document).on('show.bs.modal', '.modal', function () {
        var zIndex = 1040 + (10 * $('.modal:visible').length);
        $(this).css('z-index', zIndex);
        setTimeout(function() {
            $('.modal-backdrop').not('.modal-stack').css('z-index', zIndex - 1).addClass('modal-stack');
        }, 0);
      });
      $(document).on('hidden.bs.modal', '.modal', function () {
          $('.modal:visible').length && $(document.body).addClass('modal-open');
      });

      $("#pagoT").click(function(){//boton q llama ala confirmacion
        $('#modal_confirmacion').modal('show');
        //ajax_DineroRecibido(Aux[filaI].pk);
      });

      $("#solCod").click(function(){
        ajax_solicitudAut(Aux[filaI].id_trans);
      })
      $("#txtCodA").keyup(function(){
        if($(this).val().trim().length ==6){
           $("#pagoT").prop('disabled',false);
           $("#pagoAdelanto").prop('disabled',false);
        }
        else{
          $("#pagoT").prop('disabled',true);
          $("#pagoAdelanto").prop('disabled',true);
        }
      });
      //*************************************************
      $("#pagoAdelanto").click(function(){//boton q llama ala confirmacion
        $('#modal_adelanto').modal('show');
         ajax_saldo_adeanto(Aux[filaI].id_trans);
      });
      $("#adelanto_pago").click(function(){
        //alert("adelanto");
        //console.log($("#txtmontoAdelanto").val());
          var mn='s/.'
          if (Aux[filaI].moneda=='dolares'){
            mn='$'
          }
          $("#mn").text(mn);
          $("#canti_h4").text(normalizar($("#txtmontoAdelanto").val()));
          $("#canti_h6").text(leer_complet($("#txtmontoAdelanto").val()));
          $("#canti_h41").text(normalizar($("#txtEgreso").val()));
          $("#alerta_mone").text(Aux[filaI].moneda);
         $('#modal_confir_adelanto').modal('show');
      });
      $("#txtmontoAdelanto").keyup(function(){
        if($(this).val()!= null && $(this).val() != ''){
          if (parseFloat($("#txtsaldoAdelanto").val()) >= parseFloat( $(this).val())){
            $("#div_ad").removeClass('has-error');
            $("#div_ad").addClass('has-success');
            $("#lblmontoadelanto").text("");
            $("#adelanto_pago").prop('disabled',false);
          }
          else{
            $("#div_ad").removeClass('has-success');
            $("#div_ad").addClass('has-error');
            $("#lblmontoadelanto").text("Ingrese un monto igual o menor al SALDO!");
            $("#adelanto_pago").prop('disabled',true);
          }
        }
        else{
          $("#adelanto_pago").prop('disabled',true);
        }
        
      });
      function ajax_saldo_adeanto(idTransf){
        $.ajax({
          data:{'idI':idTransf},
          url:'/saldo_adelando_inter_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            if(data.exito=='exito'){
               $("#campo_sa").hide();
               $("#txtsaldoAdelanto").prop('value',data.saldo);
             }
             else{
              bootbox.alert({ 
                message: "Error. "+data.exito,
                className: 'bb-alternate-modal'
              });
            }
          }
        });
      };

      $('#solicitud_Adelanto').click(function(){
        $("#plObs5").text($("#txtObspa").val());
          if($("#txtEgreso").val()==null || $("#txtEgreso").val().trim()==""){
            $("#plM_e5").text(mon_m +"0.00");
          }
          else{
            $("#plM_e5").text(mon_m + $("#txtEgreso").val());
          }

          if($("#txtmontoAdelanto").val()!=null || $("#txtmontoAdelanto").val().trim()!=""){
            $("#saldoa5").text(mon_m + $("#txtsaldoAdelanto").val());
            $("#plM5").text(mon_m + $("#txtmontoAdelanto").val());
            $("#saldo5").text(parseFloat($("#txtsaldoAdelanto").val()) - parseFloat($("#txtmontoAdelanto").val()) );
          }
        ajax_solicitudPagoAdelanto(Aux[filaI].id_trans);
      });
        
      function ocultar_modal_ade(){
        $("#modal_confir_adelanto").modal('hide');
        $("#modal_adelanto").modal('hide');
        $("#myModal").modal('hide');
      }

      function ajax_solicitudPagoAdelanto(idTransf){
        $.ajax({
          data:{'idT':idTransf,'obs':$("#txtObspa").val(),'dni':$("#txtN").val(),'egreso':$("#txtEgreso").val(),'cod_aut':$("#txtCodA").val(),'adelanto':$("#txtmontoAdelanto").val(),'cod_in':$("#txtCodIn").val(),'cod_in1':$("#txtCodIn1").val()},
          url:'/PagoInterc_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            if(data.exito=='exito'){
              $("#nror5").text(data.nr);
              $("#ExitoMensaje").prop('class','bg-info');
              $("#ExitoMensaje").text("El intercambio se PAGO(Adelanto)");

              ocultar_modal_ade();
              bootbox.alert({ 
                message: "El intercambio se PAGO(Adelanto)",
                className: 'bb-alternate-modal'
              });

              $('#platillaIAde').printThis();
              //ocultar_progress();
              Transferencias();
               $('#txtN').prop("value",' ');
             }
           else{
              //ocultar_progress();
              $("#ExitoMensaje").prop('class','bg-danger');
              $("#ExitoMensaje").text(" la operacion fallo" + data.exito);
              bootbox.alert({ 
                message: "La Operación falló",
                className: 'bb-alternate-modal'
              });
             }
          }
        });
      };
      //************************************************
      function ajax_solicitudAut(idTransf){
        $.ajax({
          data:{'idTr':idTransf},
          url:'/solicitud_Autorizacion_retiro_inter_ajax/',
          //async:false,
          type:'GET',
          dataType:'text',
          success: function(data){
            if(data=='exito'){
              bootbox.alert({ 
                message: "Operación exitosa. Se solicito el codigo de autorización",
                className: 'bb-alternate-modal'
              });
               
             }
             else{
              bootbox.alert({ 
                message: "Error. "+data,
                className: 'bb-alternate-modal'
              });
            }
          }
        });
      };
      $("#alert_aceptar").click(function(){
        mostrar_progress();
            $("#plObs").text($("#txtObspa").val());
            if($("#txtEgreso").val()==null || $("#txtEgreso").val().trim()==""){
              $("#plM_e").text(mon_m+"0.00");
            }
            else{
              $("#plM_e").text(mon_m+($("#txtEgreso").val()));
            }
        ajax_solicitudPago(Aux[filaI].id_trans);
        ocultarmodal();
      });
      function mostrar_progress(){
        $(".grp_alr").hide();
        $(".grp_pgs").show();
      };
      function ocultar_progress(){//llamar desde la funcion
        $('#modal_confirmacion').modal('hide');
        $(".grp_alr").show();
        $(".grp_pgs").hide();
      };
      //otra funcion
      function ajax_solicitudPago(idTransf){
        $.ajax({
          data:{'idT':idTransf,'obs':$("#txtObspa").val(),'dni':$("#txtN").val(),'egreso':$("#txtEgreso").val(),'cod_aut':$("#txtCodA").val(),'cod_in':$("#txtCodIn").val(),'cod_in1':$("#txtCodIn1").val()},
          url:'/PagoInterc_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            if(data.exito=='exito'){
              $("#nror").text(data.nr);
              $("#ExitoMensaje").prop('class','bg-info');
              $("#ExitoMensaje").text("La transferencia se PAGO!");


              bootbox.alert({ 
                message: "La transferencia se pago",
                className: 'bb-alternate-modal'
              });

              $('#platillaI').printThis();
              ocultar_progress();
              Transferencias();
               $('#txtN').prop("value",' ');
             }
           else{
              ocultar_progress();
              $("#ExitoMensaje").prop('class','bg-danger');
              $("#ExitoMensaje").text(" la operacion fallo :(" + data.exito);
              bootbox.alert({ 
                message: "La Operación falló",
                className: 'bb-alternate-modal'
              });
             }
          }
        });
      };

      //-----------------

      
      //otra funcion


      function Transferencias(){
        if($("#ts4").prop("checked")) {  
          ajax_TransferenciasActivas();
        } else {
          ajax_Transferencias();  
        }
      };
      function PonerInicioPag(){
          $(".pag").attr('class','pag');
          $("#pag1").attr('class','active pag');
          $("#pg1").text(1);
          $("#pg2").text(2);
          $("#pg3").text(3);
          $("#pg4").text(4);
          $("#pg5").text(5);
      };
      
     
     //-------------------
     $(".pag").click(function(){
        $(".pag").attr('class','pag');
        $(this).attr('class','active pag');
        pagina = $(this).text();
        Transferencias();
      })
      $("#ant").click(function(){
        var pag = $("#pg1").text();
        pag= parseInt(pag);
        if(pag>1){
          $("#pg1").text(pag-1);
          pag= $("#pg2").text();
          pag= parseInt(pag);
          $("#pg2").text(pag-1);
           pag= $("#pg3").text();
          pag= parseInt(pag);
          $("#pg3").text(pag-1);
           pag= $("#pg4").text();
          pag= parseInt(pag);
          $("#pg4").text(pag-1);
           pag= $("#pg5").text();
          pag= parseInt(pag);
          $("#pg5").text(pag-1);
        }
      });
      $("#pos").click(function(){
        var pag = $("#pg1").text();
        pag= parseInt(pag);
        $("#pg1").text(pag+1);
        pag = $("#pg2").text();
        pag= parseInt(pag);
        $("#pg2").text(pag+1);
        pag = $("#pg3").text();
        pag= parseInt(pag);
        $("#pg3").text(pag+1);
        pag = $("#pg4").text();
        pag= parseInt(pag);
        $("#pg4").text(pag+1);
        pag = $("#pg5").text();
        pag= parseInt(pag);
        $("#pg5").text(pag+1);
      });
     //
     //
      function poner_coma(numero){
        var cadena= numero;
        n= cadena.length;
        var r='';
        var p=n;
        var up=0,p1='',p2='';
        while(p>3){
          p=p-3;
          p1=cadena.substring(0,p);
          p2=cadena.substring(p);
          r=','+p2+r;
          cadena=p1;
          console.log(p1);
          console.log(p2);
        }
        return(cadena+r);
     }
     //
     function normalizar(numero){
      console.log(numero)
        var cadena=numero.toString();
        var parte='',num='',dec='00';
        if (cadena.indexOf('.')!=-1){
          parte=cadena.split('.');
          num=parte[0];
          dec=parte[1];
        }
        else{
          num=cadena;
        }
        var cade= poner_coma(num);
        return (cade+'.'+dec);
      }
      //
      function leer_3_cifreas(numero){
        var aux= "000"+numero.toString();
        var num=aux.substring(aux.length-3);
        if(num=='000'){
          return '';
        }
        else{
          var cen='';
          switch (num.charAt(0)) {
              case '1':
                  if (num.charAt(1)!='0' || num.charAt()!='0'){
                    cen='Ciento ';
                  }
                  else{
                    cen='Cien';
                  }
                  break;
              case '2':
                  cen='Docientos ';
                  break;
              case '3':
                  cen='Trescientos ';
                  break;
              case '4':
                  cen = "Cuatrocientos ";
                  break;
              case '5':
                  cen = "Quinientos ";
                  break;
              case  '6':
                  cen = "Seiscientos ";
                  break;
              case '7':
                  cen = "Setecientos ";
                  break;
              case '8':
                  cen = "Ochocientos ";
                  break;
              case '9':
                  cen = "Novecientos ";
                  break;
          }//end switch
          var dec='';
          switch (num.charAt(1)) {
              case '1':
                  switch (num.charAt(2)) {
                      case '0':
                          dec='Diez';
                          break;
                      case '1':
                          dec='Once';
                          break;
                      case '2':
                          dec='Doce';
                          break;
                      case '3':
                          dec = "Trece";
                          break;
                      case '4':
                          dec = "Catorce";
                          break;
                      case  '5':
                          dec = "Quince";
                          break;
                      default:
                          dec='Dieci';
                  }//end switch
                  break;
              case '2':
                  if (num.charAt(2)=='0'){
                    dec='Veinte';
                  }
                  else{
                    dec='Veinti';
                  }
                  break;
              case '3':
                  if (num.charAt(2)=='0'){
                    dec='Treinta';
                  }
                  else{
                    dec='Treinta y ';
                  }
                  break;
              case '4':
                  if (num.charAt(2)=='0'){
                    dec='Cuarenta';
                  }
                  else{
                    dec='Cuarenta y ';
                  }
                  break;
              case '5':
                  if (num.charAt(2)=='0'){
                    dec='Cincuenta';
                  }
                  else{
                    dec='Cincuenta y ';
                  }
                  break;
              case  '6':
                  if (num.charAt(2)=='0'){
                    dec='Sesenta';
                  }
                  else{
                    dec='Sesenta y ';
                  }
                  break;
              case '7':
                  if (num.charAt(2)=='0'){
                    dec='Setenta';
                  }
                  else{
                    dec='Setenta y ';
                  }
                  break;
              case '8':
                  if (num.charAt(2)=='0'){
                    dec='Ochenta';
                  }
                  else{
                    dec='Ochenta y ';
                  }
                  break;
              case '9':
                  if (num.charAt(2)=='0'){
                    dec='Noventa';
                  }
                  else{
                    dec='Noventa y ';
                  }
                  break;
          }//end switch
          var uni='';
          if (num.charAt(1)=='1' && (num.charAt(2)=='0' ||num.charAt(2)=='1' ||num.charAt(2)=='2' ||num.charAt(2)=='3' ||num.charAt(2)=='4' ||num.charAt(2)=='5')){
            uni=''
          }
          else{
            switch (num.charAt(2)) {
                case '1':
                    uni='Uno'
                    break;
                case '2':
                    uni='Dos';
                    break;
                case '3':
                    uni='Tres';
                    break;
                case '4':
                    uni = "Cuatro";
                    break;
                case '5':
                    uni = "Cinco";
                    break;
                case  '6':
                    uni = "Seis";
                    break;
                case '7':
                    uni = "Siete";
                    break;
                case '8':
                    uni = "Ocho";
                    break;
                case '9':
                    uni = "Nueve";
                    break;
            }//end switch
          }
          return (cen+dec+uni);
        }//end else

      }

      function leer_complet(numero1){
        var numero=numero1.toString();
        var cadena='';
        if(numero.indexOf('.')!=-1){
          var aux= numero.split('.');
          numero= aux[0];
        }
        cadena= "000000000"+numero;
        var cen='';
        var mil='';
        var millon='';
        var p= cadena.length;
        if(cadena.substring(p-3)!="000"){
          cen=leer_3_cifreas(cadena.substring(p-3));
        }
        if (cadena.substring(p-6,p-3)!="000"){
            if (cadena.substring(p-6,p-3)=="001"){
              mil=' Mil ';
            }
            else{
              mil=leer_3_cifreas(cadena.substring(p-6,p-3))+' Mil ';
            }
            
          }
          if(cadena.charAt(p-7)!='0'){
              millon=numero.substring(0,numero.length-6)+' Millon '
            }
        return (millon+mil+cen);
      }
     //
    });
</script>
{% endblock content1 %}
